Dža ko lil

Trellis

Integriruj

Modelosko id trellis
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/trellis?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Kava mangipen: $0.02 20 API krediti · ≈ ₽2.11 Phir les kate

Lel API klidin
Microsoft Kip ko 3D #stylized

Keripno savo kerdel 3D mesh jekhe kipostar, e teksturoske barevipesa thaj meshosko simplifikacijako kontrolenca

Microsoft · 3D

Tiro prvo rezultato si kate

Ker tele jekh mangipen thaj phir les tire API klidinosa. E rezultatur si kopirime amare arakhipneste, vično vaj 7 dives bilačhes.

Ker jekh mangipen

O kontrolura kerde si katar e schemaske. O kodo thaj e cena menjinen sar tu len menjines.

•trubul image_url
Čhiv jekh fajl, vaj

URL savo sikavel o źorako kipo vaš 3D konverzija.

Lučhe texture_size · ss_guidance_strength · ss_sampling_steps · slat_guidance_strength · slat_sampling_steps · mesh_simplify · seed
texture_size standardno 1024

Rezolucija utilizime va e tekstura.

standardno 7.5

Vodičoskhi intensiteta kana kerel pes o sparse structure.

standardno 12

Ginenipen e sampling pasosko kana kerel pes o sparse structure.

standardno 3

Vodičoskhi intensiteta kana kerel pes o structured latent.

standardno 12

Ginenipen e sampling pasosko kana keren pes structured latent.

standardno 0.95

Faktoro savo kontrolinel o mesh-simplification.

Seed istifado vaš reproducibilno randomno keripe.

POST /run/trellis?wait=20 hesab → $0.02
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/trellis?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Phandel kava mangipen

Tiro kluč ačhel kadale browsereste: bičhalel pes numa ko Doitong API thaj šuvav pes (localStorage) numa te tiknes Remember. Le jekh API ključ

Palal Trellis

Paruvdel jekhe kipo katar `image_url` andro teksturirime 3D mesh. Alosarde parametro si guidance-oski zor thaj samplingoske stepi pala struktura thaj latentno faza, `mesh_simplify` (0.9 dži ko 0.98), thaj `texture_size` 512, 1024 vaj 2048. `seed` kerel rezultaten palem kerde.

Parametra

Bičhalav vaj e kanonikano nav vaj e native nav, na duj. Kanonikane nava

NavTip standardnoMuklo Vakeripe
image_urltrubul image
Tipurl · image
URL savo sikavel o źorako kipo vaš 3D konverzija.
seedopcionalno
Tipinteger | null
Seed istifado vaš reproducibilno randomno keripe.
ss_guidance_strengthopcionalno
Tipnumber
standardno7.5
0 – 10
Vodičoskhi intensiteta kana kerel pes o sparse structure.
ss_sampling_stepsopcionalno
Tipinteger
standardno12
1 – 50
Ginenipen e sampling pasosko kana kerel pes o sparse structure.
slat_guidance_strengthopcionalno
Tipnumber
standardno3
0 – 10
Vodičoskhi intensiteta kana kerel pes o structured latent.
slat_sampling_stepsopcionalno
Tipinteger
standardno12
1 – 50
Ginenipen e sampling pasosko kana keren pes structured latent.
mesh_simplifyopcionalno
Tipnumber
standardno0.95
0.9 – 0.98
Faktoro savo kontrolinel o mesh-simplification.
texture_sizeopcionalno
Tipenum
standardno1024
51210242048
Rezolucija utilizime va e tekstura.
trubul Kanonikano nav, vi akceptime

Fajloske parametra lel jekh publikano https:// URL, jekh data: URI dži 10 MB, vaj e file_url uploadoski. Fajlura

Rezultato

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "trellis",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 20,
    "usd": "0.02",
    "charged": 20,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "model_mesh": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "timings": {}
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Tire fajlura, tiro alosaripenSako outputs[].url si kopija amare arakhipneste: vično (čargeime per GB-mase) vaj 7 dives bilačhes, tiro kontoskere regulaciatar vaj ?storage=.
Sa jekh forma sako modeloθartype, url, content_type, width, height thaj duration, varesave imajinake, video thaj audio-ke. output si o modelosko korkoro resultosko objekto.
Outputoske fieldura
model_mesh
object {url, content_type, file_name, file_size}Fajlo savo lel o kerdo 3D mesh.
timings
objectVakeripena e processing-vremesko.

Bute modeli: Kip ko 3D

AI agentenge: kadija rig sar Markdown si kate https://doitong.com/rom/developers/models/trellis.md. Sa e modelura thaj e gidura: https://doitong.com/developers/llms.txt